Get insights for a conversation
Retrieve insights for a specific conversation
GET
/
ai
/
conversations
/
{conversation_id}
/
conversations-insights
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.ai.conversations.retrieveConversationsInsights('conversation_id');
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.ai.conversations.retrieve_conversations_insights(
"conversation_id",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.AI.Conversations.GetConversationsInsights(context.TODO(), "conversation_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.conversations.ConversationRetrieveConversationsInsightsParams;
import com.telnyx.sdk.models.ai.conversations.ConversationRetrieveConversationsInsightsResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ConversationRetrieveConversationsInsightsResponse response = client.ai().conversations().retrieveConversationsInsights("conversation_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.ai.conversations.retrieve_conversations_insights("conversation_id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->ai->conversations->retrieveConversationsInsights(
'conversation_id'
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:conversations retrieve-conversations-insights \
--api-key 'My API Key' \
--conversation-id conversation_idcurl --request GET \
--url https://api.telnyx.com/v2/ai/conversations/{conversation_id}/conversations-insights \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"conversation_insights": [
{
"result": "<string>",
"insight_id": "<string>"
}
]
}
],
"meta": {
"total_pages": 123,
"total_results": 123,
"page_number": 123,
"page_size": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the conversation.
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.ai.conversations.retrieveConversationsInsights('conversation_id');
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.ai.conversations.retrieve_conversations_insights(
"conversation_id",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.AI.Conversations.GetConversationsInsights(context.TODO(), "conversation_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.conversations.ConversationRetrieveConversationsInsightsParams;
import com.telnyx.sdk.models.ai.conversations.ConversationRetrieveConversationsInsightsResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ConversationRetrieveConversationsInsightsResponse response = client.ai().conversations().retrieveConversationsInsights("conversation_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.ai.conversations.retrieve_conversations_insights("conversation_id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->ai->conversations->retrieveConversationsInsights(
'conversation_id'
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:conversations retrieve-conversations-insights \
--api-key 'My API Key' \
--conversation-id conversation_idcurl --request GET \
--url https://api.telnyx.com/v2/ai/conversations/{conversation_id}/conversations-insights \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"conversation_insights": [
{
"result": "<string>",
"insight_id": "<string>"
}
]
}
],
"meta": {
"total_pages": 123,
"total_results": 123,
"page_number": 123,
"page_size": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}